@abstract
extends Node

class_name State

@warning_ignore_start("unused_signal","unused_parameter")

signal transition(to: StringName)

@abstract func enter() -> void
@abstract func exit() -> void
func update(delta: float) -> void:
	pass
func physics_update(delta: float) -> void:
	pass
func state_input(event: InputEvent) -> void:
	pass
